Subject: Proposed consensus text: #725 Appealing decisions

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 28 Jan 2005 15:02:00 +0100

In case some people did not see this in the flurry of messages on the 
thread, here is Margaret's proposed text with Leslie's edits, incorporated 
as best I can.
I also tuned grammar slightly in some places.

3.5  Review and Appeal of IAD and IAOC Decision

    The IAOC is directly accountable to the IETF community for the
    performance of the IASA.  In order to achieve this, the IAOC and IAD
    will ensure that guidelines are developed for regular operational
    decision making.  Where appropriate, these guidelines should be
    developed with public input.  In all cases, they must be made public.

    Additionally, the IASA should ensure that there are reported objective
    performance metrics for all IETF administrative support activities.

    In the case where someone questions whether a decision or action of the 
IAD
    or the IAOC has been undertaken in accordance with IETF BCPs or
    IASA operational guidelines (including the creation and maintenance
    of an appropriate set of operational guidelines), he or she may ask the
    IAOC for a formal review of the decision or action.

    The request for review is addressed to the IAOC chair and should include
    a description of the decision or action to be reviewed, an explanation 
of
    how the decision or action violates the BCPs or operational guidelines, 
and
    a suggestion for how the situation could be rectified.  All requests 
for review
    will be publicly posted, and the IAOC is expected to respond to these
    requests within a reasonable period, typically within 90 days.  It is 
up to
    the IAOC to determine what type of review and response is required, 
based
    on the nature of the review request.  Based on the results of the 
review,
    the IAOC may choose to overturn their own decision and/or to change 
their
    operational guidelines to prevent further misunderstandings.

    If a member of the community is not satisfied with the IAOC's response 
to
    his or her review request, he or she may escalate the issue by appealing
    the decision or action to the IESG, using the appeals procedures 
outlined
    in RFC 2026 [RFC2026].  If he or she is not satisfied with the IESG
    response, he or she can escalate the issue to the IAB and on the ISOC
    Board of Trustees, as described in RFC 2026.

    The reviewing body (IESG, IAB or ISOC BoT) will review the decision of 
the
    IAD or IAOC
    to determine whether it was made in accordance with existing BCPs and
    operational guidelines.  As a result of this review, the reviewing body
    may decide to initiate the required consensus process to change the BCPs
    governing IAOC actions.
    They may also advise the IAOC to modify existing operational guidelines
     to avoid similar issues in the future and/or may advise the IAOC to
     re-consider their decision or action.

     In exceptional cases, when no other recourse seems reasonable, the 
IESG,
     IAB or ISOC BoT may overturn or  reverse a non-binding decision or 
action
     of the IAOC.  This should be done after careful consideration and
     consultation with the IAOC regarding the ramifications of this action. 
In
     no circumstances may the IESG or IAB overturn a decision of the IAOC
     that involves a binding contract or overturn a personnel-related 
action (such
     as hiring, firing, promotion, demotion, performance reviews, salary 
adjustments,
     etc.).

In another message, I have suggested removing the last paragraph - but it's 
not a show-stopper for me to leave it in.
Comments?

                         Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Scott W Brim <[email-masked]>
Date: Fri, 28 Jan 2005 10:38:44 -0500

On Fri, Jan 28, 2005 03:02:00PM +0100, Harald Tveit Alvestrand
allegedly wrote:
>    The request for review is addressed to the IAOC chair and should
>    include a description of the decision or action to be reviewed,
>    an explanation of how the decision or action violates the BCPs or

violates -> is presumed to violate

>    operational guidelines, and a suggestion for how the situation
>    could be rectified.  All requests for review will be publicly
>    posted, and the IAOC is expected to respond to these requests
>    within a reasonable period, typically within 90 days.  It is up
>    to the IAOC to determine what type of review and response is
>    required, based on the nature of the review request.  Based on
>    the results of the review, the IAOC may choose to overturn their
>    own decision and/or to change their operational guidelines to
>    prevent further misunderstandings.

or may do nothing, or may do a whole lot of other things in between.
Providing this choice implies that one of these two must be chosen.
Is this sentence necessary?  Does anything prohibit them from doing
either of these things if the sentence is removed?

>     In exceptional cases, when no other recourse seems reasonable,
>     the IESG, IAB or ISOC BoT may overturn or  reverse a non-binding
>     decision or action of the IAOC.  This should be done after
>     careful consideration and consultation with the IAOC regarding
>     the ramifications of this action.  In no circumstances may the
>     IESG or IAB overturn a decision of the IAOC that involves a
>     binding contract or overturn a personnel-related action (such as
>     hiring, firing, promotion, demotion, performance reviews, salary
>     adjustments, etc.).
> 
> In another message, I have suggested removing the last paragraph -
> but it's not a show-stopper for me to leave it in.  Comments?

Either way.

Thanks ... Scott (Brim)

---

From: John C Klensin <[email-masked]>
Date: Fri, 28 Jan 2005 11:01:57 -0500

Harald,

You asked, and I responded, privately about this, but, since you
have identified it as a consensus request, I suppose I should
restate my concerns in public.    Unfortunately, some of this
revisits the area in which I think Sam (and others) and I have
agreed to disagree -- I don't know how you are going to resolve
that.

Inline below...

--On Friday, 28 January, 2005 15:02 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> In case some people did not see this in the flurry of messages
> on the thread, here is Margaret's proposed text with Leslie's
> edits, incorporated as best I can.

Back when I was actively doing political science, the belief
that everything could be reduced to objective and quantifiable
terms (the latter is what "metrics" means; if it isn't what was
intended, some other word should be chosen) statements like this
were described as "physics envy".    The statement would be
reasonable if "whenever feasible" or the equivalent appeared
there somewhere -- we _can_ evaluate the IAOC on its
interpretation of "feasible" and how far they are willing to go
to satisfy the needs or curiosity of the community.

>...
>     on the nature of the review request.  Based on the results
> of the review,
>     the IAOC may choose to overturn their own decision and/or
> to change their

This doesn't give the IAOC the option of saying "no, you are
wrong [because...], and we aren't going to change anything".
Combined with other text above, that would imply that any member
of the community can force the IAOC into either changing a
decision or changing the operational guidelines.  The IAOC must
be able to say "no you are wrong".  If must even be able to say
"you have raised fifteen objections in the last 30 days, all of
which have been turned down by us and everyone in the appeals
chain, please go improve you sand-pounding skills".

>     If a member of the community is not satisfied with the
> IAOC's response to
>     the decision or action to the IESG, using the appeals
> procedures outlined

I apologize in advance for digging up this dead horse for
kicking purposes, but I do not believe that an _appeals_
procedure that runs through the IESG is appropriate.  First, it
increases the IESG workload and, while our reasoning and the
details differ, I agree with Avri that shifting work back to the
IESG is not a good idea.  Second, the IESG is not a collection
of general-purpose representatives of the community.  It
membership is selected to manage the _standards process_ and, as
a member of
the community, I want their selection to continue to be focused
on selecting people whose skills are optimal for that role.  I'm
not happy about the IAB being thrust into the appeals role, but
I can more easily see that in terms of workload and make a
"general purpose representative" argument for them.   The fact
that the IAB and IETF Chairs (who are, by definition, implicated
in any consensus IAOC decision-making) are the leaders of those
groups (whether formally recused or not) makes an appeal model
even more complicated.  To the extent that any appeal addresses
substance, rather than compliance with procedures (and anything
that might be overturned necessarily does so), all of my old
comments about training in finance and executive management
apply here as well.

>     The reviewing body (IESG, IAB or ISOC BoT) will review the
> decision of the
>     IAD or IAOC

This is not quite right.   IETF "public consensus processes" are
initiate under the rules of 2026 and associated documents.  We
don't initiate them until we have a document on the
table.  _Anyone_ can put a document on the table, with or
without a prior IESG/ IAB/ ISOC BoT decision.   The decision,
presumably by the IESG, as to whether to Last Call such a
document, organize a WG to discuss changes or alternate
versions, etc., presumably gets made or not made on the basis of
the merits of the proposed revision and a sense of whether the
community wants change, so the outcome of a prior appeal doesn't
count for much, even though a record of appeals being filed
might.   So, if that is all those bodies can do, then the appeal
text is pointless.

>      re-consider their decision or action.

This is actually weaker than the previous text, in which
_either_ the IAB or the IESG could _require_ that the IAOC
review and, if appropriate, reconsider the decision or action.
I can live with it, but I'm astonished if Sam, Avri, etc., can.

>      In exceptional cases, when no other recourse seems
> reasonable, the IESG,
>      IAB or ISOC BoT may overturn or  reverse a non-binding
> decision or action
>      consultation with the IAOC regarding the ramifications of
> this action. In
>      that involves a binding contract or overturn a
> personnel-related action (such
>      as hiring, firing, promotion, demotion, performance
> reviews, salary adjustments,
>      etc.).

My preference, per your other comments and the paragraph below,
is that we lose the above paragraph.   But, if we leave it in, I
suggest that we need to define "exceptional cases" or the
mechanism by which it is determined.  The issue here is very
much the same as the argument raised by Pete and others that the
ISOC Board should not be able to back out of this
agreement/model by a simple majority vote at a single meeting.
The determination that a case is [sufficiently] exceptional
should take, e.g., extraordinary consensus, announcement to the
community and an opportunity for comment, and, more important,
identification of the individuals who favor and oppose declaring
that exceptional circumstances exist so that they can be held
accountable.
> 
> In another message, I have suggested removing the last
> paragraph - but it's not a show-stopper for me to leave it in.
> Comments?

I'm not sure we are getting closer.

   john

---

From: Dean Anderson <[email-masked]>
Date: Fri, 28 Jan 2005 11:54:02 -0500 (EST)

> violates -> is presumed to violate

The text is correct as is. "Presume" is to "assume before". Indeed,
perhaps the decision under review may be presumed not to violate before 
the review concludes otherwise.

The explanation to be given to the review is about how and why the
decision under review should be found to violate something. It would be 
incorrect to say "...an explanation of how the decision or action is 
presumed to violate the BCPs..."

In court, the defendant is presumed innocent. That is, they are assumed
before a decision to be innocent. The prosecution presents an explanation
of why they should be found guilty, not why they are presumed guilty.  
Indeed, they should not be presumed guilty, and no one should need to
explain why that happened, except perhaps after someone's civil right to 
presumption of innocence was violated.

-- 
Av8 Internet   Prepared to pay a premium for better service?
www.av8.net         faster, more reliable, better service
617 344 9000

---

From: John C Klensin <[email-masked]>
Date: Fri, 28 Jan 2005 12:09:20 -0500

--On Friday, 28 January, 2005 11:54 -0500 Dean Anderson
<[email-masked]> wrote:

>> >    The request for review is addressed to the IAOC chair
>> >    and should include a description of the decision or
>> >    action to be reviewed, an explanation of how the
>> >    decision or action violates the BCPs or
>> 
> The text is correct as is. "Presume" is to "assume before".
> Indeed, perhaps the decision under review may be presumed not
> to violate before  the review concludes otherwise.
> 
> The explanation to be given to the review is about how and why
> the decision under review should be found to violate
> something. It would be  incorrect to say "...an explanation of
> how the decision or action is  presumed to violate the BCPs..."

Yeah, but the original text isn't right either.

"...believed to violate..."
"...putatively violates..."
"...alleged to violate..."

and other phrases would, I think, satisfy both Scott's concerns
and yours.

These are the sort of language/presentation details that I wish
we could assume that final editing would straighten out.  It is
not a good sign that we think we need to fix them on the IETF
list.

   john

---

From: Leslie Daigle <[email-masked]>
Date: Fri, 28 Jan 2005 12:35:08 -0500

Since I am responsible for some of this text, let me add
a couple of comments, in-line:

> to satisfy the needs or curiosity of the community.

The "Additionally..." sentence came in when I had a section that
was about responsiveness to the IETF community.  The intent was
that there should be metrics (and I do mean metrics) maintained
with regard to various objective processes:  RFC Ed queue, IANA
queue, etc.  This allows the community as a whole to have some
insight into how the overall IETF machine is functioning.

Now that the section is about appeal and decision review, the
text may be a little out of place.  Or not -- because one
should be able to flag when the whole system just doesn't seem
to be cutting it.  So perhaps it's a wording problem.  I'm
not inspired with alternatives.

> chain, please go improve you sand-pounding skills".

Agreed -- and I think Scott Brim flagged a different aspect of
the same problem.  I don't think there is anything intentional
in not expanding this to include other options at the discretion
of the IAOC.  Perhaps removing it (as Scott suggested) is best.
Personally, I'm as happy to leave those options in as explicit
(but not limiting) examples.

Leslie.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 28 Jan 2005 18:53:05 +0100

> (but not limiting) examples.

I read the "may" as giving examples, not an exhaustive list.
Adding "do nothing" to the list makes it more clear that it's an 
alternative, but I don't think it makes the list exhaustive - it just makes 
it look even more as if it is.

"Based on the results of the review, the IAOC may choose to overturn their 
own decision, change their operational guidelines to prevent further 
misunderstandings, do both, do neither, or do something else".

?

---

From: Dean Anderson <[email-masked]>
Date: Fri, 28 Jan 2005 13:09:29 -0500 (EST)

> and other phrases would, I think, satisfy both Scott's concerns

Sure, I'm good with that. How about:

"...an explanation of how the decision or action is thought to violate 
the BCPs..."

> not a good sign that we think we need to fix them on the IETF

Oops, I thought that had been done, and we were looking a final drafts.

---

From: John C Klensin <[email-masked]>
Date: Fri, 28 Jan 2005 13:14:23 -0500

--On Friday, 28 January, 2005 12:35 -0500 Leslie Daigle
<[email-masked]> wrote:

>> terms (the latter is what "metrics" means; if it isn't what
>> was intended, some other word should be chosen) statements
>> like this were described as "physics envy".    The statement
>> would be reasonable if "whenever feasible" or the equivalent
>> appeared there somewhere -- we _can_ evaluate the IAOC on its
>> interpretation of "feasible" and how far they are willing to
>> go to satisfy the needs or curiosity of the community.
> 

I agree that is reasonable, appropriate, and desirable.

> not inspired with alternatives.

While I don't consider any of these an inspiration, my objection
would disappear if you inserted the "whenever feasible" words
suggested above, or if you made that "...objective performance
metrics... for all IETF administrative support activities for
which such metrics are possible" or if you rewrote it to
something like "IASA should strive to organize all IETF
administrative support
activities in a way that makes objective measures of performance
feasible, and then to report those measures to the IETF".  I
think any of those are more or less consistent with the intent
as you expressed it above.

>> Combined with other text above, that would imply that any
>> member of the community can force the IAOC into either
>> changing a decision or changing the operational guidelines.
>> The IAOC must be able to say "no you are wrong".  If must
>> even be able to say "you have raised fifteen objections in
>> the last 30 days, all of which have been turned down by us
>> and everyone in the appeals chain, please go improve you
>> sand-pounding skills".
> 

I can happily live with either Scott's fix or with making it
clear that these aren't limiting examples.  And I assumed that
the apparent limitation to just those options was unintentional.
But it is something that should be fixed, somehow, lest it get
us into lots of trouble down the road.

     john

---

From: Sam Hartman <[email-masked]>
Date: Fri, 28 Jan 2005 14:13:41 -0500

I support this text.  I prefer the last paragraph be present but this
is not a strong preference.

I'd like to find some way to make it clear to the community that other
forms of comments are appropriate but am happy to agree with Leslie
that the BCP is not the place for that.

---

From: Margaret Wasserman <[email-masked]>
Date: Fri, 28 Jan 2005 21:24:50 -0500

At 11:01 AM -0500 1/28/05, John C Klensin wrote:

Hi John,

>to satisfy the needs or curiosity of the community.

I did not write this paragraph; I took it (and the previous one)
straight from the current BCP.  I consider it useless, but harmless,
so I have no objection to removing it or to leaving it in.

>wrong [because...], and we aren't going to change anything".

Sure it does.  There is nothing about the last sentence that indicates
that the IAOC has to take one of these actions, just that they may.

If you think it would be clearer, we could make the following change:

s/misunderstanding./misunderstanding, or send a response
indicating that the IAOC has reviewed the decision or action and
found it to be in-line with the published operational guidelines and
BCPs.

>IESG is not a good idea.  [...]

Personally, I am happy with a path that goes IESG -> IAB ->
ISOC BoT, one that goes IAB -> ISOC BoT or one that just goes
to the ISOC BoT.  However, I do believe that the ability to appeal
a decision to another responsible body is needed, as it is quite
possible (given the insular nature of IETF leadership bodies) for
most of the IAOC to be involved in a decision and therefore
incapable of fairly reviewing it.

>initiate under the rules of 2026 and associated documents.

Perhaps:

s/initiate the required consensus process to change/make a
proposal to the IETF community to change ??
>I can live with it, but I'm astonished if Sam, Avri, etc., can.

This is a decision that the IAOC has already reviewed in the
first round.  The previous text didn't actually require the IAOC
to do anything unless a member of the community could
convince the IAB or IESG to ask them to do a review.  So,
I believe that this text (taken as a whole) is much stronger.

>is that we lose the above paragraph.

Works for me.

Margaret

---

From: [email-masked]
Date: Sat, 29 Jan 2005 00:18:01 -0500

I would also prefer that the last paragragh stay in.

a.